Subject: bug#610 closed by Chong Yidong <[email-masked]> (Re: elisp manual on ad-add-advice definition arg)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#610: elisp manual on ad-add-advice definition arg

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
610: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=610
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Wed Oct 22 12:54:20 2008
From: Chong Yidong <[email-masked]>
To: Kevin Ryde <[email-masked]>
Cc: [email-masked]
Subject: Re: elisp manual on ad-add-advice definition arg
Date: Wed, 22 Oct 2008 15:54:19 -0400

> In the "Computed Advice" node of the elisp manual describing
> ad-add-advice, it doesn't say what the "DEFINITION" arg should look
> like.  Nosing around the code I see it's a zany `advice'+`lambda'
> form.  It'd be good if that was described.  (Or if it's described
> elsewhere I missed then a cross-reference.)

Fixed, thanks.

>From [email-masked] Fri Jul 25 17:35:54 2008
From: Kevin Ryde <[email-masked]>
To: [email-masked]
Subject: elisp manual on ad-add-advice definition arg
Date: Sat, 26 Jul 2008 10:35:33 +1000

In the "Computed Advice" node of the elisp manual describing
ad-add-advice, it doesn't say what the "DEFINITION" arg should look
like.  Nosing around the code I see it's a zany `advice'+`lambda' form.
It'd be good if that was described.  (Or if it's described elsewhere I
missed then a cross-reference.)

In GNU Emacs 22.2.1 (i486-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-04-27 on raven, modified by Debian
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs22:/etc/emacs:/usr/local/share/emacs/22.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/22.2/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/22.2/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU
  locale-coding-system: iso-8859-1
  default-enable-multibyte-characters: t